from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File

Dsh_Filter_Gfa1_V0_1_0 = CommandToolBuilder(tool="dsh_filter_gfa1", base_command=["dsh-filter-gfa1"], inputs=[ToolInput(tag="in_about", input_type=Boolean(optional=True), prefix="--about", doc=InputDocumentation(doc="display about message [optional]")), ToolInput(tag="in_invalid_segment_references", input_type=Boolean(optional=True), prefix="--invalid-segment-references", doc=InputDocumentation(doc="filter containments, links, and paths that reference missing segments [optional]")), ToolInput(tag="in_length", input_type=Boolean(optional=True), prefix="--length", doc=InputDocumentation(doc="[class java.lang.Integer]  filter segments by length [optional]")), ToolInput(tag="in_fragment_count", input_type=Boolean(optional=True), prefix="--fragment-count", doc=InputDocumentation(doc="[class java.lang.Integer]  filter segments and links by fragment count [optional]")), ToolInput(tag="in_km_er_count", input_type=Boolean(optional=True), prefix="--kmer-count", doc=InputDocumentation(doc="[class java.lang.Integer]  filter segments and links by k-mer count [optional]")), ToolInput(tag="in_mapping_quality", input_type=Boolean(optional=True), prefix="--mapping-quality", doc=InputDocumentation(doc="[class java.lang.Integer]  filter links by mapping quality [optional]")), ToolInput(tag="in_mismatch_count", input_type=Boolean(optional=True), prefix="--mismatch-count", doc=InputDocumentation(doc="[class java.lang.Integer]  filter links by mismatch count [optional]")), ToolInput(tag="in_read_count", input_type=Boolean(optional=True), prefix="--read-count", doc=InputDocumentation(doc="[class java.lang.Integer]  filter segments and links by read count [optional]")), ToolInput(tag="in_script", input_type=Boolean(optional=True), prefix="--script", doc=InputDocumentation(doc="[class java.lang.String]  filter by script, eval against r [optional]")), ToolInput(tag="in_input_gfa_one_file", input_type=Boolean(optional=True), prefix="--input-gfa1-file", doc=InputDocumentation(doc="[class java.io.File]  input GFA 1.0 file, default stdin [optional]")), ToolInput(tag="in_output_gfa_one_file", input_type=File(optional=True), prefix="--output-gfa1-file", doc=InputDocumentation(doc="[class java.io.File]  output GFA 1.0 file, default stdout [optional]"))], outputs=[ToolOutput(tag="out_output_gfa_one_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_gfa_one_file", type_hint=File()), doc=OutputDocumentation(doc="[class java.io.File]  output GFA 1.0 file, default stdout [optional]"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Dsh_Filter_Gfa1_V0_1_0().translate("wdl", allow_empty_container=True)

